%define name	gourmet
%define version 0.17.4
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Recipe manager for the GNOME desktop
Version: 	%{version}
Release: 	%{release}
URL:		http://thinkle.github.io/gourmet/
Source0:	https://github.com/thinkle/gourmet/archive/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel 
BuildRequires:  python-metakit
BuildRequires:	python-distutils-extra
BuildRequires:	python-elib.intl
BuildRequires:	imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:	pygtk2.0-devel
BuildRequires:	python-sqlite2
BuildRequires:	python-pyrtf
BuildRequires:	python-imaging
BuildRequires:	intltool
Requires:	gnome-python
Requires:	pygtk2.0-libglade
Requires:	python-metakit
Requires:	python-imaging
Requires:	python-sqlite2
Requires:	python-imaging
Requires:	python-elib.intl
Requires:	python-reportlab
Requires:	gnome-python-gnomeprint
Requires:	gnome-python-gtkspell
Requires:	python-pyrtf
Requires:	python-sqlalchemy
Requires:	python-reportlab
Requires:	python-pypoppler
Requires:	python-beautifulsoup
BuildArch:	noarch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gourmet allows you to collect, search and organize your recipes, and to
automatically generate shopping lists from your collection.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
####%{__python} setup.py install -O1 --skip-build --root %buildroot --disable-modules-check
%{__python} setup.py install -O1 --root %buildroot 

%find_lang %name

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

##sed -i -e 's/Icon=recbox.png/Icon=gourmet/g' %{buildroot}%{_datadir}/applications/*

#icons
#mkdir -p %{buildroot}/%_liconsdir
#convert -size 48x48 images/recbox.png %{buildroot}/%_liconsdir/%name.png
#mkdir -p %{buildroot}/%_iconsdir
#convert -size 32x32 images/recbox.png %{buildroot}/%_iconsdir/%name.png
#mkdir -p %{buildroot}/%_miconsdir
#convert -size 16x16 images/recbox.png %{buildroot}/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES README.md
%{_bindir}/%name
%{py_puresitedir}
%{_iconsdir}/hicolor/*/apps/gourmet.*
%{_datadir}/applications
%{_datadir}/%{name}
%{_datadir}/appdata


%changelog
* Sun Feb 15 2015 MBantz <martin dot bantz at gmail dot com> 0.17.4-1pclos2015
- Update to 0.17.4

* Sat Mar 29 2014 bb <bb> 1.17.2-1pclos2014
- update

* Sun Feb 02 2014 MBantz <martin dot bantz at gmail dot com> 0.16.1-1pclos2014
- Add requirement for python-pypoppler to provide print and pdf export of recepies
 
* Mon Sep 02 2013 pinoc <vogtpet at gmail.com> 0.16.1-1pclos2013
- 0.16.1
- added BR python-distutils-extra, python-elib.intl

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.15.5-2pclos2010
- Update

* Fri Jul 23 2010 Texstar <texstar at gmail.com> 0.15.5-1pclos2010
- 0.15.5

* Sat Feb 14 2009 Texstar <texstar at gmail.com> 0.13.8-1pclos2007
- New version 0.13.8

* Fri Jul 27 2007 Texstar <texstar@gmail.com> 0.13.4-1pclos2007
- import into pclos 2007 original specfile from mdv
- remove old menu system
- add desktop database update

